Sonarlint Eclipse Plugin + Eclipse with LOMBOK Extension

Template for a good bug report, formatted with Markdown:

  • Sonalint 4.3 eclipse plugin

With SonarQube Bindings, when try to update the project throws a error
image

2 Likes

Hi @josepacelli

A similar issue has already been reported, and should have been fixed on Lombok side:

Let me know if you still have the the problem with latest Lombok release ( v1.18.12 ).

With the latest Lombok release (v1.18.12) the error disappeared and I’m able to use SonarJava-Plugin version > 6.
Thanks a lot for your support.

1 Like

After update LOMBOK to 1.18.12 the application works fine

1 Like